Skip to main content
GET
/
v2
/
modules
/
{chainId}
/
{account}
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.modules.lucidListModules({
    chainId: "<id>",
    account: "00461751",
  });

  console.log(result);
}

run();
{
  "success": true,
  "modules": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

chainId
string
required

EVM chain identifier for the smart account

account
string
required

Smart account address (EVM 0x format)

Response

Installed modules

success
boolean
required
modules
object

Installed modules by type